<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>mosty-dyga-cloud</artifactId>
        <groupId>com.mosty</groupId>
        <version>1.0.0-SNAPSHOT</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>mosty-hczx</artifactId>
    <description>核查中心</description>

    <properties>
        <maven.compiler.source>8</maven.compiler.source>
        <maven.compiler.target>8</maven.compiler.target>
    </properties>

    <dependencies>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.cloud</groupId>
            <artifactId>spring-cloud-starter</artifactId>
        </dependency>

        <dependency>
            <groupId>mysql</groupId>
            <artifactId>mysql-connector-java</artifactId>
            <version>8.0.16</version>
        </dependency>

        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-discovery</artifactId>
            <version>2.0.3.RELEASE</version>
        </dependency>

        <dependency>
            <groupId>org.springframework.cloud</groupId>
            <artifactId>spring-cloud-starter-openfeign</artifactId>
        </dependency>

        <!--base-feign-->
        <dependency>
            <groupId>com.mosty</groupId>
            <artifactId>mosty-base-feign-sdk</artifactId>
            <version>1.0.0-SNAPSHOT</version>
        </dependency>

        <!--magicAPI-->
        <dependency>
            <groupId>com.mosty</groupId>
            <artifactId>common-magic-api-starter</artifactId>
            <version>1.0.0-SNAPSHOT</version>
            <scope>compile</scope>
        </dependency>
        <!--登录jar包-->
        <dependency>
            <groupId>com.mosty</groupId>
            <artifactId>common-token-starter</artifactId>
            <version>1.0.0-SNAPSHOT</version>
        </dependency>
        <!--redis包-->
        <dependency>
            <groupId>com.mosty</groupId>
            <artifactId>common-redis-starter</artifactId>
            <version>1.0.0-SNAPSHOT</version>
        </dependency>
        <!--日志包-->
        <dependency>
            <groupId>com.mosty</groupId>
            <artifactId>operation-log-aspect-starter</artifactId>
            <version>1.0.0-SNAPSHOT</version>
        </dependency>

    </dependencies>

    <build>
        <plugins>
            <!-- 这个插件，可以将应用打包成一个可执行的jar包；-->
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
            </plugin>

            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <configuration>
                    <source>8</source>
                    <target>8</target>
                </configuration>
            </plugin>
        </plugins>
    </build>

</project>